# Interface methods for submodule: TubeSpatialObjectPoint
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SpatialObjectPointProxy as _SpatialObjectPointProxy


# Interface methods for class: TubeSpatialObjectPoint
class TubeSpatialObjectPointProxy(_SpatialObjectPointProxy):
	def GetRadiusInObjectSpace(self) -> float:
		""""""
		...

	def GetRadiusInWorldSpace(self) -> float:
		""""""
		...

	def SetRadiusInObjectSpace(self, newR: float) -> None:
		""""""
		...

	def SetRadiusInWorldSpace(self, newR: float) -> None:
		""""""
		...

	def GetTangentInObjectSpace(self) -> Sequence[float]:
		""""""
		...

	def GetTangentInWorldSpace(self) -> Sequence[float]:
		""""""
		...

	def SetTangentInObjectSpace(self, newT: Sequence[float]) -> None:
		""""""
		...

	def SetTangentInWorldSpace(self, newT: Sequence[float]) -> None:
		""""""
		...

	def GetNormal1InObjectSpace(self) -> Sequence[float]:
		""""""
		...

	def GetNormal1InWorldSpace(self) -> Sequence[float]:
		""""""
		...

	def SetNormal1InObjectSpace(self, newV1: Sequence[float]) -> None:
		""""""
		...

	def SetNormal1InWorldSpace(self, newV1: Sequence[float]) -> None:
		""""""
		...

	def GetNormal2InObjectSpace(self) -> Sequence[float]:
		""""""
		...

	def GetNormal2InWorldSpace(self) -> Sequence[float]:
		""""""
		...

	def SetNormal2InObjectSpace(self, newV2: Sequence[float]) -> None:
		""""""
		...

	def SetNormal2InWorldSpace(self, newV2: Sequence[float]) -> None:
		""""""
		...

	def SetRidgeness(self, ridgeness: float) -> None:
		""""""
		...

	def GetRidgeness(self) -> float:
		""""""
		...

	def SetCurvature(self, curvature: float) -> None:
		""""""
		...

	def GetCurvature(self) -> float:
		""""""
		...

	def SetLevelness(self, levelness: float) -> None:
		""""""
		...

	def GetLevelness(self) -> float:
		""""""
		...

	def SetRoundness(self, roundness: float) -> None:
		""""""
		...

	def GetRoundness(self) -> float:
		""""""
		...

	def SetIntensity(self, intensity: float) -> None:
		""""""
		...

	def GetIntensity(self) -> float:
		""""""
		...

	def SetMedialness(self, medialness: float) -> None:
		""""""
		...

	def GetMedialness(self) -> float:
		""""""
		...

	def SetBranchness(self, branchness: float) -> None:
		""""""
		...

	def GetBranchness(self) -> float:
		""""""
		...

	def SetAlpha1(self, alpha1: float) -> None:
		""""""
		...

	def GetAlpha1(self) -> float:
		""""""
		...

	def SetAlpha2(self, alpha2: float) -> None:
		""""""
		...

	def GetAlpha2(self) -> float:
		""""""
		...

	def SetAlpha3(self, alpha3: float) -> None:
		""""""
		...

	def GetAlpha3(self) -> float:
		""""""
		...

